Php-fpm crash



  • I'm not really sure this is the right section to address this point.
    Feel free to tell me if I'm wrong.

    I'm facing an issue since couple of days with php-fpm crashing almost very day.

    I need to relaunch WebGUI using option 16 in console menu.

    ligthhpd.error.log contains lot of entries with:

    lighttpd.error.log:2016-02-16 17:35:03: (mod_fastcgi.c.2673) fcgi-server re-enabled: unix:/var/run/php-fpm.socket
    lighttpd.error.log:2016-02-16 17:35:04: (mod_fastcgi.c.1744) connect failed: Connection refused on unix:/var/run/php-fpm.socket
    

    and

    lighttpd.error.log:2016-02-16 18:08:41: (mod_fastcgi.c.2390) unexpected end-of-file (perhaps the fastcgi process died): pid: 0 socket: unix:/var/run/php-fpm.socket
    lighttpd.error.log:2016-02-16 18:08:41: (mod_fastcgi.c.3171) response not received, request sent: 498 on socket: unix:/var/run/php-fpm.socket for /index.php?, closing connection
    
    

    It looks like (but I'm not 100% sure that I started to face this issue once I configured OpenVPN server and connected with VPN client.

    How can I investigate further and fix this?
    Any idea?



  • Problem I'm facing with this install is very similar to this one also discussed here but bandwidth package is not installed on this system.
    The only packages are:

    • OpenVPN Client Export Utility
    • vHosts

    To be noticed too: when php-fpm crashes, I can't establish OpenVPN tunnel  :-\  meaning also I can't remotely relaunch PHP-FPM.  Well, I'm locked  :'(

    I'm also getting:

    pfSense php-fpm[94192]: /rc.openvpn: OpenVPN: One or more OpenVPN tunnel endpoints may have changed its IP. Reloading endpoints that may use WAN_2.

    message, which is strange because no IP have changed and OpenVPN is listening at 127.0.0.1 (multiple WAN)



  • Hi Chris
    Did you get a resolution to this? I'm now facing the exact same issue. web interface becomes inaccessable and OpenVPN stops working, have to restart php-fpm. After this when I log in, the web dashboard (has the openvpn widget) shows dozens of UNDEF entries when it never has more then 3-4 concurrent logins. Same log entry errors as well.



  • Hey there, I'm not sure if this is related to your issues but I was having trouble with php-fpm crashes a few weeks back while running on 2.3.2, I also read that people on 2.3.1 were having similar problems.  Unfortunately I don't have the logs from back then anymore to compare with your error messages.

    If you're still having trouble try removing the IPSec and/or OpenVPN widget from the web console home page.

    I don't know which widget was causing the problem for me but I haven't had any issues for almost 3 weeks now, previously was having an incident weekly.